UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Voyager
Voyager
1,189 Views
Registered: ‎06-20-2017

Patched Vivado 2017.4.1 compatible with hardware server?

Jump to solution

I noticed when I installed 2017.3.1 it was no longer compatible with the hardware server, which was not patched.

 

Recovering from this was time consuming and entailed uninstall and reinstalls.

 

Before I install 2017.4.1, I'd like to know if that situation has been addressed?

 

Mike
0 Kudos
1 Solution

Accepted Solutions
Moderator
Moderator
1,731 Views
Registered: ‎10-19-2011

Re: Patched Vivado 2017.4.1 compatible with hardware server?

Jump to solution

There is not a stand alone version of the hw server that will work with 2017.4.1. You must use the full install of the vivado tools. Like Austin mentioned, the requirement is that you use the tool version that matches the core.

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------
4 Replies
Scholar austin
Scholar
1,142 Views
Registered: ‎02-27-2008

Re: Patched Vivado 2017.4.1 compatible with hardware server?

Jump to solution

According to: https://www.xilinx.com/support/answers/70506.html

 

I suspect there is a 2017.4.1 lab tools version (and hw_server) to go along, so my general rule of "all tools should match" still applies.

 

At least, that way, everything should work, and there is no concern.

 

 

Austin Lesea
Principal Engineer
Xilinx San Jose
1,138 Views
Registered: ‎01-22-2015

Re: Patched Vivado 2017.4.1 compatible with hardware server?

Jump to solution

@maps-mpls  I am also running Vivado v2017.3.1 on my WIN10 machine.  It's been a while since I installed v2017.3.1 but I sorta remember that drivers for the hardware server (I assume you mean platform cable usb) were automatically updated as part of the Vivado upgrade?  Anyway, mine has been working and I don't recall doing anything special to make it work.

 

Also, before upgrading to v2017.4, you might want to read <this post>.  Some WIN10 users must roll-back WIN10 upgrades in order to make v2017.4 work!

Moderator
Moderator
1,732 Views
Registered: ‎10-19-2011

Re: Patched Vivado 2017.4.1 compatible with hardware server?

Jump to solution

There is not a stand alone version of the hw server that will work with 2017.4.1. You must use the full install of the vivado tools. Like Austin mentioned, the requirement is that you use the tool version that matches the core.

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------
Voyager
Voyager
1,111 Views
Registered: ‎06-20-2017

Re: Patched Vivado 2017.4.1 compatible with hardware server?

Jump to solution

Thanks @travisc @austin and markg@prosensing.com .  Installing the full version on a lab machine did cross my mind.

Mike
0 Kudos